{
  "name": "sample-exchanger",
  "version": "1.0.0",
  "description": "Sample Exchanger expert-interface",
  "main": "src/index.js",
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "install": "cd www && npm install",
    "serve": "node ./src/index.js",
    "serve:watch": "run-s 'watch -- run-s serve'",
    "serve:dev": "run-p serve:watch 'run:front build:watch'",
    "test": "mocha test",
    "test:coverage": "nyc -n src -a -r lcovonly -r text ./node_modules/.bin/_mocha test",
    "test:ci": "run-s test:coverage 'run:front test:ci'",
    "test:watch": "run-s 'watch -- run-s test'",
    "run:front": "cd www; run-s ",
    "test:front": "run-s 'run:front test'",
    "test:front:watch": "run-s 'run:front test:watch'",
    "build": "run-s 'run:front build'",
    "build:prod": "run-s 'run:front build:prod'",
    "lint": "lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "run-s 'lint -- --builder' 'run:front lint:ci:builder'",
    "lint:ci:report": "mkci-lint-report",
    "lint:front": "run-s 'run:front lint'",
    "lint:front:watch": "run-s 'run:front lint:watch'",
    "tc": "tc",
    "tc:ci:builder": "run-s 'tc -- --builder' 'run:front tc:ci:builder'",
    "tc:ci:report": "mkci-tc-report",
    "watch:front": "nodemon -w www/src -w www/test -x ",
    "watch": "nodemon -w src -w test -x ",
    "stub": "run-s 'run:front stub'"
  },
  "scripts-info": {
    "help": "display npm scripts help",
    "info": "alias for 'help'",
    "install": "run npm install (front and back)",
    "serve:dev": "start server in development mode",
    "stub": "run middleware stubs",
    "test": "run unit-tests",
    "test:front": "run front-end tests",
    "build": "build for development/debug",
    "build:prod": "build for production",
    "lint": "run linting tools",
    "lint:front": "run front-end linting tools"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.cern.ch/ntof/daq/expert/sample-exchanger.git"
  },
  "keywords": [
    "MRO",
    "Vue.js"
  ],
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "license": "Apache-2.0",
  "dependencies": {
    "@cern/cmw-express": "git+https://gitlab.cern.ch/mro/common/www/cmw-express.js.git",
    "@cern/js-yaml": "git+https://gitlab.cern.ch/mro/common/www/js-yaml.git",
    "@cern/prom": "git+https://gitlab.cern.ch/mro/common/www/prom.js.git",
    "cookie-session": "^1.4.0",
    "cors": "^2.8.5",
    "debug": "^4.2.0",
    "express": "^4.17.1",
    "express-static-gzip": "^2.1.1",
    "express-ws": "^5.0.2",
    "helmet": "^4.2.0",
    "morgan": "^1.10.0",
    "npm-run-all": "^4.1.5",
    "openid-client": "^4.2.1",
    "passport": "^0.4.1",
    "pug": "^3.0.0",
    "superagent": "^6.1.0"
  },
  "devDependencies": {
    "@cern/ci-utils": "git+https://gitlab.cern.ch/mro/common/www/node-ci-utils.js.git",
    "@tsconfig/node12": "^1.0.7",
    "@types/cookie-session": "^2.0.41",
    "@types/cors": "^2.8.8",
    "@types/debug": "^4.1.5",
    "@types/express": "^4.17.9",
    "@types/express-ws": "^3.0.1",
    "@types/lodash": "^4.14.165",
    "@types/morgan": "^1.9.2",
    "@types/passport": "^1.0.4",
    "@types/passport-oauth2": "^1.4.9",
    "@typescript-eslint/eslint-plugin": "^4.8.1",
    "@typescript-eslint/parser": "^4.8.1",
    "chai": "^4.2.0",
    "dirty-chai": "^2.0.1",
    "eslint": "^7.13.0",
    "jshint": "^2.12.0",
    "mocha": "^8.2.1",
    "nodemon": "^2.0.6",
    "npm-scripts-info": "^0.3.9",
    "nyc": "^15.1.0",
    "typescript": "^4.0.5"
  }
}
